Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class DocumentTelemetryParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.DocumentTelemetryParticipant

All Implemented Interfaces:
  `IDocumentLifecycleParticipant`

    public class DocumentTelemetryParticipant
    extends Object
    implements IDocumentLifecycleParticipant

### Constructor Summary

Constructors
`DocumentTelemetryParticipant​(TelemetryManager telemetryManager, ContentModelManager contentManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `didChange​(DOMDocument document)` Handler called when an XML document is changed.
`void` `didClose​(DOMDocument document)` Handler called when an XML document is closed.
`void` `didOpen​(DOMDocument document)` Handler called when an XML document is opened.
`void` `didSave​(DOMDocument document)` Handler called when an XML document is saved.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentTelemetryParticipant

    public DocumentTelemetryParticipant​(TelemetryManager telemetryManager,
                                        ContentModelManager contentManager)

### Method Detail

#### didOpen

    public void didOpen​(DOMDocument document)

Description copied from interface: `IDocumentLifecycleParticipant`
Handler called when an XML document is opened.

Specified by:
  `didOpen` in interface `IDocumentLifecycleParticipant`
Parameters:
  `document` - the DOM document

#### didChange

    public void didChange​(DOMDocument document)

Description copied from interface: `IDocumentLifecycleParticipant`
Handler called when an XML document is changed.

Specified by:
  `didChange` in interface `IDocumentLifecycleParticipant`
Parameters:
  `document` - the DOM document

#### didSave

    public void didSave​(DOMDocument document)

Description copied from interface: `IDocumentLifecycleParticipant`
Handler called when an XML document is saved.

Specified by:
  `didSave` in interface `IDocumentLifecycleParticipant`
Parameters:
  `document` - the DOM document

#### didClose

    public void didClose​(DOMDocument document)

Description copied from interface: `IDocumentLifecycleParticipant`
Handler called when an XML document is closed.

Specified by:
  `didClose` in interface `IDocumentLifecycleParticipant`
Parameters:
  `document` - the DOM document